Bug 1414875 - OCP Disk Validation message skips master image storage pool
Summary: OCP Disk Validation message skips master image storage pool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI
Version: 1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.1
Assignee: Landon LaSmith
QA Contact: Landon LaSmith
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 16:02 UTC by Matt Reid
Modified: 2017-02-28 01:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 01:45:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
OCP Disk validation is missing master image storage pool (95.07 KB, image/png)
2017-01-19 16:05 UTC, Matt Reid
no flags Details
Screenshot of overcommited disk (58.11 KB, image/png)
2017-02-07 19:09 UTC, Landon LaSmith
no flags Details
Screenshot of overcommited disk + storage (42.83 KB, image/png)
2017-02-17 19:48 UTC, Landon LaSmith
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0335 0 normal SHIPPED_LIVE Red Hat Quickstart Installer 1.1 2017-02-28 06:36:13 UTC

Description Matt Reid 2017-01-19 16:02:16 UTC
Description of problem:
The math doesn't add up in the OCP Disk validation message. In my screenshot, you can see that I have 120 GB committed, when my environment only has 84 available, but if you check the math shown, I should only have 100 GB committed. Looks like we're including the image storage pool for worker nodes, but not for master nodes. The message shows that my master disk needs 30 GB, and my worker disk + storage needs 70 GB, skipping over that my master node also needs that 20 GB image storage, which would make it 50 + 70 = 120 GB.

Version-Release number of selected component (if applicable):
1.1


Additional info:

Comment 1 Matt Reid 2017-01-19 16:05:01 UTC
Created attachment 1242521 [details]
OCP Disk validation is missing master image storage pool

Comment 3 cchase 2017-01-25 17:17:27 UTC
https://github.com/fusor/fusor/pull/1364

Disk alerts for master and OCP HA infrastructure nodes should now match the calculated values.

Comment 4 Dylan Murray 2017-01-26 20:57:53 UTC
This is fixed in the 1/26 compose.

Comment 5 Landon LaSmith 2017-02-07 19:09:36 UTC
Created attachment 1248491 [details]
Screenshot of overcommited disk

VERIFIED. Overcommitted disk numbers add up correctly.

QCI Media Version: QCI-1.1-RHEL-7-20170203.0

Comment 6 Matt Reid 2017-02-07 19:59:40 UTC
It's great that the math works now, but we're inconsistent with our messaging between master and worker nodes still.

The message for master nodes says "Master Disk" and the worker nodes one says "Worker Disk + Storage". They're both a main set of disk storage with the additional image storage pool. I would expect us to talk about them in the same fashion, can we change it to say "Master Disk + Storage:"?

Comment 7 cchase 2017-02-07 20:30:50 UTC
https://github.com/fusor/fusor/pull/1367

changed to Master Disk + Storage

Comment 9 Landon LaSmith 2017-02-17 19:48:38 UTC
Created attachment 1255067 [details]
Screenshot of overcommited disk + storage

VERIFIED.
QCI Media Version: QCI-1.1-RHEL-7-20170216.0

Comment 11 errata-xmlrpc 2017-02-28 01:45:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:0335


Note You need to log in before you can comment on or make changes to this bug.